1. Companies
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Retrieve Companies
      GET
    • Create Company Enrichment Job
      POST
    • Estimate Company Enrichment Job
      POST
    • Get Company Enrichment Job Status
      GET
    • Retrieve Company IPs
      GET
    • Match Companies
      POST
    • Search Companies
      POST
    • Search Company Signals
      POST
    • Get Company Details
      GET
    • Update a Company
      PATCH
    • Company Financial Reports
      GET
    • Remove Company from Lists
      DELETE
    • Add Company to Lists
      POST
    • Unassign Tags from Company
      DELETE
    • Assign Tags to Company
      POST
  • Contacts
    • Retrieve Contacts
    • Create Find Contact Data Job
    • Estimate Find Contact Data Job
    • Get Find Contact Data Job Status
    • Search Contacts
    • Get Contact Details
    • Update a Contact
    • Remove Contact from Lists
    • Add Contact to Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Visitor Companies
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Retrieve Custom Feeds Folders
    • Delete a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Retrieve Web Visits Tracker Script
    • Retrieve Goals
    • Create a Goal
    • Delete a Goal
    • Get Goal Details
    • Update a Goal
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Delete a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Retrieve Company ICP Matches
    • Delete an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
  • Tags
    • Retrieve Tags
    • Create Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Get Batch Remove Tags Job
    • Delete Tag
    • Get Tag Details
    • Update Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Create Batch Add to List Job
    • Get Batch Add to List Job
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Delete List
    • Get List Details
    • Update List
    • Retrieve List Items
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Delete Custom Field
    • Get Custom Field Details
    • Update Custom Field
  • Users
    • Get Current User
  • Settings
    • Get Cookie Consent Settings
    • Update Cookie Consent Settings
    • Get Data Processing Settings
    • Update Data Processing Settings
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • Get Countries with Regions
    • Get Geo Suggestions
    • Get Industries
  • CRM
    • Create Connect CRM Record Job
    • Get Connect CRM Record Job
    • Create CRM Contact Job
    • Get CRM Contact Job
    • Create CRM Lead Job
    • Get CRM Lead Job
    • Create CRM Organization Job
    • Get CRM Organization Job
    • Update CRM Connection
    • Get CRM Contact
    • Get CRM Lead
    • Get CRM Organization
    • List CRM Users
    • Create Disconnect CRM Record Job
    • Get Disconnect CRM Record Job
    • Create Enrich CRM Record Job
    • Get Enrich CRM Record Job
  • Schemas
    • AccountCompanyV1
    • AccountSummaryV1
    • AccountV1
    • ApiUsageV1
    • BatchAddTagsJobV1
    • BatchAddToListJobV1
    • BatchRemoveFromListJobV1
    • BatchRemoveTagsJobV1
    • BuyerPersonaRequestV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMContactV1
    • CRMLeadV1
    • CRMOrganizationV1
    • CRMUserV1
    • CampaignLocationV1
    • CampaignSettingsV1
    • CampaignStatsV1
    • CampaignSummaryV1
    • CampaignV1
    • CompaniesAdvancedSearchFilterItem
    • CompanyFinancialsV1
    • CompanyIndustryV1
    • CompanyLocationV1
    • CompanyIpV1
    • CompanyMatchV1
    • CompanySummaryV1
    • ContactFilterGroupsV1
    • CompanyV1
    • ConnectCRMRecordJobV1
    • ConnectedListV1
    • ContactV1
    • CookieConsentSettingsV1
    • ContactPreviewV1
    • ContactSummaryV1
    • CountryV1
    • CustomFeedFolderV1
    • CustomFeedRequestV1
    • CustomFieldV1
    • CreateCRMContactJobV1
    • CustomFeedV1
    • EnrichedIpV1
    • DataProcessingSettingsV1
    • CreateCRMLeadJobV1
    • CreateCRMOrganizationJobV1
    • ErrorObjectV1
    • EnrichmentJobV1
    • GeoSuggestionV1
    • FindContactDataJobV1
    • ICPV1
    • CRMSuggestionV1
    • IpAddressExtendedV1
    • DisconnectCRMRecordJobV1
    • GoalCreateRequestV1
    • GoalUpdateRequestV1
    • EnrichCRMRecordJobV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • GoalV1
    • LocationV1
    • ListV1
    • MaskedCompanySummaryV1
    • IcpRequestV1
    • NetworkV1
    • MaskedContactSummaryV1
    • UserV1
    • TagV1
    • VisitLocationV1
    • WebVisitV1
    • WebVisitsTrackerScriptV1
    • SignalV1
  1. Companies

Search Company Signals

POST
/v1/companies/signals
Retrieve signals for a specified set of company IDs. The response returns the signals linked to the provided companies.
Credit Node: You are charged 1 credit per company if the company has signals and there was no active deep data access within the last 12 months. The number of signals returned does not affect credit usage — no additional credits are charged per signal.
INFO
Requires the companies:read OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Example
{
    "categories": [
        "business_expansion",
        "investment_activity"
    ],
    "company_ids": [
        "159001425",
        "129011"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leadfeeder.com/v1/companies/signals?account_id=123456&page[cursor]=WyAzNzAwMCwgIjIzNTYyMCJd&page[size]=20' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "categories": [
        "business_expansion",
        "investment_activity"
    ],
    "company_ids": [
        "159001425",
        "129011"
    ]
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "attributes": {
                "category": "business_expansion",
                "content": "B2B sales intelligence platform Dealfront has raised a €30 million investment from AshGrove Capital...",
                "event_date": "2024-12-10T15:57:25Z",
                "language_code": "EN",
                "publication_date": "2024-11-24T11:50:00Z",
                "signal_type": "expands_facilities",
                "source_url": "https://tech.eu/2024/12/10/dealfront-secures-30m-from-ashgrove-capital-for-b2b-sales-intelligence",
                "title": "TS Conductor invests $134M in South Carolina for new manufacturing facility"
            },
            "id": "574654454",
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                }
            },
            "type": "signal"
        }
    ],
    "meta": {
        "credits": {
            "charged": 0
        },
        "pagination": {
            "next_cursor": "dXNlcjpVMEc5V0ZYTlo",
            "total_count": 1450
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Server Error
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-10-30 09:55:53
Previous
Search Companies
Next
Get Company Details
Built with